Loading...
Searching...
No Matches
datum.c File Reference
`#include <unistd.h>`
`#include <string.h>`
`#include <ctype.h>`
`#include <stdlib.h>`
`#include <grass/gis.h>`
`#include <grass/glocale.h>`
Include dependency graph for gis/datum.c:

Go to the source code of this file.

## Macros

#define | DATUMTABLE "/etc/proj/datum.table"

## Functions

int | G_get_datum_by_name (const char *name)
const char * | G_datum_name (int n)
const char * | G_datum_description (int n)
const char * | G_datum_ellipsoid (int n)
int | G_get_datumparams_from_projinfo (const struct Key_Value *projinfo, char *datumname, char *params)
void | G_read_datum_table (void)

## Macro Definition Documentation

## DATUMTABLE

#define DATUMTABLE "/etc/proj/datum.table"

Definition at line 17 of file gis/datum.c.

Referenced by G_read_datum_table(), and read_datum_table().

## Function Documentation

## G_datum_description()

const char * G_datum_description | ( | int | n | ) |

Definition at line 66 of file gis/datum.c.

References G_read_datum_table(), and NULL.

## G_datum_ellipsoid()

const char * G_datum_ellipsoid | ( | int | n | ) |

Definition at line 76 of file gis/datum.c.

References G_read_datum_table(), and NULL.

## G_datum_name()

const char * G_datum_name | ( | int | n | ) |

Definition at line 56 of file gis/datum.c.

References G_read_datum_table(), and NULL.

## G_get_datum_by_name()

int G_get_datum_by_name | ( | const char * | name | ) |

Definition at line 43 of file gis/datum.c.

References G_read_datum_table(), G_strcasecmp(), and name.

## G_get_datumparams_from_projinfo()

int G_get_datumparams_from_projinfo | ( | const struct Key_Value * | projinfo,
|  | char * | datumname,
|  | char * | params )

Definition at line 107 of file gis/datum.c.

References G_find_key_value(), and NULL.

Referenced by G_database_datum_name().

## G_read_datum_table()

void G_read_datum_table | ( | void |  | ) |

Definition at line 141 of file gis/datum.c.

References DATUMTABLE, file, G_getl2(), G_gisbase(), G_initialize_done(), G_is_initialized(), G_store(), G_strip(), G_warning(), name, and t.

Referenced by G_datum_description(), G_datum_ellipsoid(), G_datum_name(), G_get_datum_by_name(), and G_init_all().